org.apache.mina.example.imagine.step1

## Class ImageRequest

- java.lang.Object
- - org.apache.mina.example.imagine.step1.ImageRequest

-     public class ImageRequest
      extends Object

  represents a client's request for an image
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageRequest(int width, int height, int numberOfCharacters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `int` | `getNumberOfCharacters()`
    `int` | `getWidth()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageRequest

          public ImageRequest(int width,
                      int height,
                      int numberOfCharacters)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getNumberOfCharacters

          public int getNumberOfCharacters()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.